Subject: Re: [bug#60013] [PATCH 1/3] gnu: Add libmodule

From: Florian <[email-masked]>
Date: Tue, 20 Dec 2022 16:33:49 +0000

On 2022-12-15, 12:31 +0100, zimoun <[email-masked]> wrote:

> Well, I understand your workflow, I guess.  My point is just to mention
> that creating a branch with Git costs nothing.

Creating a branch, yes, but continuously rebasing them all and recompiling before
working on each single commission: yes (building guix is pretty time
intensive). This is where I think guix lacks a proper CI/CD. That contributors
even have to check if a patch applies, if it builds and run guix lint
seems paradox to me, especially with the capacity problems that already exist
when accepting submissions.

I think the problem you have comes from multiple patches of mine being in
wm.scm which has also made rebasing more complicated. Git really seems
to struggle when patches have hunks in one file that might touch each other,
that I haven't really understood how to avoid. but I can check
one more time. Maybe we could have a look at how the patch is failing?